%define _version2 20060722

Summary:	Allows developers to write skinnable application using the Swing toolkit
Name:		skinlf
Group:		Development/Java
Version:	6.7
Release:	%mkrel 0.0.15
License:	Skin Look And Feel License
URL:		http://skinlf.l2fprod.com/index.html
Source0:	%{name}-%{version}-%{_version2}.tar.bz2
Source1:	imageconversion.jar
Source2:	%{name}-build.xml
Source3:	%{name}-resources.tar.bz2
Patch0:		%{name}-no-jimi.patch
Patch1:		java9-compatibility.patch
BuildRequires:	java-devel
BuildRequires:	ant
BuildRequires:	dos2unix
BuildRequires:	jpackage-utils >= 1.5
BuildRequires:	laf-plugin >= 0.2
BuildRequires:	xalan-j2
#BuildRequires:	jimi >= 1.0
Requires:	java >= 1.5
#Requires:	jimi >= 1.0
Requires:	jpackage-utils >= 1.5
Requires:	laf-plugin >= 0.2
Requires:	xalan-j2
BuildArch:	noarch

%description
Skin Look And Feel allows Java developers to write skinnable application using
the Swing toolkit. Skin Look And Feel is able to read GTK (The Gimp Toolkit)
and KDE (The K Desktop Environment) skins to enhance your application GUI
controls such as Buttons, Checks, Radios, Scrollbars, Progress Bar, Lists,
Tables, Internal Frames, Colors, Background Textures, Regular Windows. Skin
Look And Feel (aka SkinLF) also includes NativeSkin to create irregular
windows.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Some examples for %{name}
Group:		Development/Java
Requires:	%{name} = %{version}-%{release}

%description demo
Some examples for %{name}.

%prep
%setup -q

cp %{SOURCE1} .
cp %{SOURCE2} build.xml
%__tar xfj %{SOURCE3}
%patch -P 0
%patch -P 1 -p1

dos2unix  AUTHORS CHANGES INSTALL LICENSE LICENSE_nanoxml README THANKS
%__chmod 644 AUTHORS CHANGES INSTALL LICENSE LICENSE_nanoxml README THANKS

%build
%ant jar javadocs

%install
# jars
%__install -dm 755 %{buildroot}%{_javadir}
%__install -pm 644 lib/%{name}.jar \
	%{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
%__install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr docs/* \
	%{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} # ghost symlink

# demo
%__install -dm 755 %{buildroot}%{_datadir}/%{name}
%__install -m 644 lib/%{name}_demo.jar \
	%{buildroot}%{_datadir}/%{name}
%__install -m 644 lib/themepack.zip \
	%{buildroot}%{_datadir}/%{name}

# create startscripts for demo-apps
%if 0
# not supported for linux
%__cat > bin/clock.sh << EOF
#!/bin/bash
%{java} -cp %{_javadir}/%{name}.jar:%{_javadir}/laf-plugin.jar:%{_datadir}/%{name}/%{name}_demo.jar examples.Clock clock.gif
EOF

# not supported for linux
%__cat > bin/region.sh << EOF
#!/bin/bash
%{java} -cp %{_javadir}/%{name}.jar:%{_datadir}/%{name}/%{name}_demo.jar examples.nativesplash
EOF
%endif

%__cat > bin/alwaysontop.sh << EOF
#!/bin/bash
%{java} -cp %{_javadir}/%{name}.jar:%{_datadir}/%{name}/%{name}_demo.jar examples.alwaysontop
EOF

%__cat > bin/demo.sh << EOF
#!/bin/bash
THEMEPACK=\$1
if [ "\$THEMEPACK" == "" ]; then
	THEMEPACK=%{_datadir}/%{name}/themepack.zip
else
	shift
fi
%{java} -cp %{_javadir}/%{name}.jar:%{_javadir}/laf-plugin.jar:%{_datadir}/%{name}/%{name}_demo.jar examples.demo \$THEMEPACK \$@
EOF

# install startscripts for demo-apps
%__install -m 755 bin/*.sh \
	%{buildroot}%{_datadir}/%{name}

%post javadoc
%__rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%doc AUTHORS CHANGES INSTALL LICENSE LICENSE_nanoxml README THANKS
%{_javadir}/%{name}*.jar

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files demo
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.jar
%{_datadir}/%{name}/*.sh
%{_datadir}/%{name}/themepack.zip




%changelog
* Sun Dec 22 2024 pterjan <pterjan> 6.7-0.0.15.mga10
+ Revision: 2128168
- Rebuild for patchN deprecation

* Sun Jan 10 2021 daviddavid <daviddavid> 6.7-0.0.14.mga9
+ Revision: 1670277
- add debian patch to fix build
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Wed Feb 12 2020 umeabot <umeabot> 6.7-0.0.13.mga8
+ Revision: 1500097
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 6.7-0.0.12.mga7
+ Revision: 1275436
- Mageia 7 Mass Rebuild

* Sat Feb 27 2016 umeabot <umeabot> 6.7-0.0.11.mga6
+ Revision: 979875
- Mageia 6 Mass Rebuild

* Wed Nov 05 2014 tv <tv> 6.7-0.0.10.mga5
+ Revision: 795715
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 6.7-0.0.9.mga5
+ Revision: 740909
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.7-0.0.8.mga5
+ Revision: 689181
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.7-0.0.7.mga4
+ Revision: 518298
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 6.7-0.0.6.mga3
+ Revision: 382117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 05 2011 grenoya <grenoya> 6.7-0.0.5.mga1
+ Revision: 64874
- imported package skinlf

